Customer Credit Transfer Initiation
The tutorials in the section provide examples of initiating a payment using the PagoNxt Payments Hub API pain.001.001.09 message format. For each tutorial example, the following sections must be completed.
Sandbox
The Instructions in this tutorial apply to the sandbox environment
Submit the payment
This section describes how to submit a payment via a pain.001 HTTP request to the Payments Hub API. It also illustrates a successful response.
Request
Create and send a request using the following operation:
POST https://sandbox.api.pagonxt.com/payments/pain001/v09Headers
The request must contain the headers shown in the following table.
Header name | Description | Required/ Optional | Values |
|---|---|---|---|
X-Client-Id | Client ID | Required | <Client ID> |
sca-token |
| Required | <SCA token> |
Request body
The request must include a JSON payload object in the request body. The JSON payload is a pain.001 ISO message with the fitoFICstmrCdtTrf root element, and it contains the request details for submitting a payment.
The below tutorials provide some examples of payloads. For details on all the required and optional message fields, see Message field definition for pain.001
Example tutorials
Response
If the request is valid, you receive an HTTP 201 Created response, which means that the payment was successfully submitted. In addition, the response body returns the data JSON object, which contains details of the submitted payment. If the request is submitted again with the same message ID, you receive an HTTP 200 OK response. For further details of HTTP response codes and instructions on how to handle errors, see HTTP codes and request error handling.
The following table shows the response body elements that are relevant for the current use case. For details on all the response body elements, see Message field definition for pain.001.
Element | Description | Data type |
|---|---|---|
paymentsHubId | Payments Hub ID, which uniquely identifies your payment return request in Payments Hub. You can use it if you later need to retrieve the payment return details. | String |
paymentId | Message ID you defined in the request as the grpHdr.msgId field value | String |
status | Current status of the payment return. Since Payments Hub stores all requests for a while before performing the transaction settlement, this value is returned as PENDING. | String |
creationDateTime | Date and time of creation | String |